// src/use-steps.ts
import { useState } from "react";
function useSteps(props = {}) {
  const { index = 0, count } = props;
  const [activeStep, setActiveStep] = useState(index);
  return {
    activeStep,
    setActiveStep,
    isActiveStep(step) {
      return step === activeStep;
    },
    getStatus(step) {
      if (step < activeStep)
        return "complete";
      if (step > activeStep)
        return "incomplete";
      return "active";
    },
    goToNext() {
      setActiveStep((step) => {
        return typeof count === "number" ? Math.min(count, step + 1) : step + 1;
      });
    },
    goToPrevious() {
      setActiveStep((step) => Math.max(0, step - 1));
    }
  };
}

export {
  useSteps
};
